PHPExcel_Comment

category | PHPExcel
package | PHPExcel
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Comment

    __construct()

### Exceptions

`\PHPExcel_Exception` |

## Convert to string

    __toString() : string

### Returns

`string`

## Get Alignment

    getAlignment() : string

### Returns

`string`

## Get Author

    getAuthor() : string

### Returns

`string`

## Get fill color

    getFillColor() : \PHPExcel_Style_Color

### Returns

`\PHPExcel_Style_Color`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get comment height (CSS style, i.e.

    getHeight() : string

XXpx or YYpt)

### Returns

`string`

## Get left margin (CSS style, i.e.

    getMarginLeft() : string

XXpx or YYpt)

### Returns

`string`

## Get top margin (CSS style, i.e.

    getMarginTop() : string

XXpx or YYpt)

### Returns

`string`

## Get Rich text comment

    getText() : \PHPExcel_RichText

### Returns

`\PHPExcel_RichText`

## Is the comment visible by default?

    getVisible() : boolean

### Returns

`boolean`

## Get comment width (CSS style, i.e.

    getWidth() : string

XXpx or YYpt)

### Returns

`string`

## Set Alignment

    setAlignment(string $pValue) : \PHPExcel_Comment

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Comment`

## Set Author

    setAuthor(string $pValue) : \PHPExcel_Comment

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Comment`

## Set comment height (CSS style, i.e.

    setHeight(string $value) : \PHPExcel_Comment

XXpx or YYpt)

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Comment`

## Set left margin (CSS style, i.e.

    setMarginLeft(string $value) : \PHPExcel_Comment

XXpx or YYpt)

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Comment`

## Set top margin (CSS style, i.e.

    setMarginTop(string $value) : \PHPExcel_Comment

XXpx or YYpt)

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Comment`

## Set Rich text comment

    setText(\PHPExcel_RichText $pValue) : \PHPExcel_Comment

### Parameters

#### $pValue

`\PHPExcel_RichText`

### Returns

`\PHPExcel_Comment`

## Set comment default visibility

    setVisible(boolean $value) : \PHPExcel_Comment

### Parameters

#### $value

`boolean`

### Returns

`\PHPExcel_Comment`

## Set comment width (CSS style, i.e.

    setWidth(string $value) : \PHPExcel_Comment

XXpx or YYpt)

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Comment`

### Properties

##

    $_alignment : string

##

    $_author : string

##

    $_fillColor : \PHPExcel_Style_Color

##

    $_height : string

XXpx or YYpt)

##

    $_marginLeft : string

XXpx or YYpt)

##

    $_marginTop : string

XXpx or YYpt)

##

    $_text : \PHPExcel_RichText

##

    $_visible : boolean

##

    $_width : string

XXpx or YYpt)